<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* maintenance-form-tidy.twig */
class __TwigTemplate_133d2ee5b3ea4b29de11b210088c3a7b7a6e249e1572a1a19d80d8a5e2038be3 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "maintenance-form-tidy.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "maintenance-form-tidy.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Tidy Library");
    }

    // line 16
    public function block_formButtons($context, array $blocks = [])
    {
        // line 17
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 18
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 19
        echo __("Yes");
        echo ", \$(\"#tidyLibraryForm\").submit()
";
    }

    // line 22
    public function block_formHtml($context, array $blocks = [])
    {
        // line 23
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"tidyLibraryForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 25
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("maintenance.tidy"), "html", null, true);
        echo "\">
                ";
        // line 26
        ob_start(function () { return ''; });
        echo __("Tidying the Library will delete any temporary files. Are you sure you want to proceed?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 27
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                ";
        // line 29
        ob_start(function () { return ''; });
        echo __("Remove old revisions");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Cleaning up old revisions of media will result in any unused media revisions being permanently deleted.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 31
        echo "                ";
        echo $context["forms"]->getcheckbox("tidyOldRevisions", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "

                ";
        // line 33
        ob_start(function () { return ''; });
        echo __("Remove all media not currently in use?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Selecting this option will remove any media that is not currently being used in Layouts or linked to Displays. This process cannot be reversed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "                ";
        echo $context["forms"]->getcheckbox("cleanUnusedFiles", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "

                ";
        // line 37
        ob_start(function () { return ''; });
        echo __("Delete Generic Files?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 38
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Selecting this option will remove any generic files that is are not currently linked to Displays. This process cannot be reversed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "                ";
        echo $context["forms"]->getcheckbox("tidyGenericFiles", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "maintenance-form-tidy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  132 => 39,  127 => 38,  123 => 37,  117 => 35,  112 => 34,  108 => 33,  102 => 31,  97 => 30,  93 => 29,  87 => 27,  83 => 26,  79 => 25,  75 => 23,  72 => 22,  66 => 19,  62 => 18,  55 => 17,  52 => 16,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "maintenance-form-tidy.twig", "/home/mgatv524/public_html/edurocha/views/maintenance-form-tidy.twig");
    }
}
